const safelinksRegexp = new RegExp(
    'https?://[^.]+[.]safelinks[.]protection[.]outlook[.]com/[?]url=([^&]+)&.*',
    'gi'
);

function untangleLink(link) {
    return link.replaceAll(
	safelinksRegexp, (match, url) => {
	    try {
		return decodeURIComponent(url);
	    }
	    catch (e) {
		console.log(e);
		return url;
	    }
	});
}

function isTangledLink(link) {
    return link.match(safelinksRegexp);
}
